summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Bidulock2014-05-08 17:10:38 -0600
committerBrian Bidulock2015-06-10 05:17:35 -0600
commitb718ff17ee6c27e40f352dafd3c75341bfa87b1d (patch)
tree7cb66f440755cbd5398f52701dac32169536393c
parente139531ad2e140e1d96a9c8b253667f5ccd4c77e (diff)
downloadaur-b718ff17ee6c27e40f352dafd3c75341bfa87b1d.tar.gz
version 1.5-5
-rw-r--r--.SRCINFO6
-rwxr-xr-x[-rw-r--r--]PKGBUILD24
2 files changed, 8 insertions, 22 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0db914fbb59..a9e153390dc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,17 +1,15 @@
pkgbase = chbg
pkgdesc = Periodically change background image in X11. Can be a slideshow screensaver too
pkgver = 1.5
- pkgrel = 6
+ pkgrel = 5
url = http://chbg.sourceforge.net/about.html
arch = i686
arch = x86_64
license = GPL
- depends = gtk2
+ depends = gtk
depends = imlib2
source = http://downloads.sourceforge.net/chbg/chbg-1.5.tgz
- source = gtk2.patch
md5sums = 3ee8b01a7e089570f66d89dac353cc2c
- md5sums = 60fa92b11a575041c3a5d1a36c11f4e7
pkgname = chbg
diff --git a/PKGBUILD b/PKGBUILD
index c07a21542de..5b60a32bfec 100644..100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,33 +3,21 @@
pkgname=chbg
pkgver=1.5
-pkgrel=6
+pkgrel=5
pkgdesc="Periodically change background image in X11. Can be a slideshow screensaver too"
arch=('i686' 'x86_64')
url="http://chbg.sourceforge.net/about.html"
license=('GPL')
-depends=('gtk2' 'imlib2')
-source=(http://downloads.sourceforge.net/chbg/$pkgname-$pkgver.tgz
- gtk2.patch)
-md5sums=('3ee8b01a7e089570f66d89dac353cc2c'
- '60fa92b11a575041c3a5d1a36c11f4e7')
+depends=('gtk' 'imlib2')
+source=(http://downloads.sourceforge.net/chbg/$pkgname-$pkgver.tgz)
+md5sums=('3ee8b01a7e089570f66d89dac353cc2c')
-prepare() {
- cd "$srcdir/$pkgname-$pkgver"
- patch -Np2 -b -z .orig -i ../gtk2.patch
-}
build() {
cd "$srcdir/$pkgname-$pkgver"
export CPPFLAGS="$CPPFLAGS -I/usr/include/libpng12"
export PNG_LIBS="-lpng12"
-# export LDFLAGS="`echo $LDFLAGS|sed -e 's/,--as-needed//'`"
- ./configure \
- --with-image-library=imlib2 \
- --with-gtk-config="pkg-config x11 gtk+-2.0" \
- --with-imlib2-config="pkg-config imlib2" \
- --prefix=/usr \
- --mandir=/usr/share/man
- make LDADD='-lm'
+ ./configure --with-image-library=imlib2 --prefix=/usr --mandir=/usr/share/man || return 1
+ make
}
package() {
cd "$srcdir/$pkgname-$pkgver"